Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.StandardPixmap

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.StandardPixmap

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.StandardPixmap

extends java.lang.Enum
implements QtEnumerator

This enum describes the available standard pixmaps. A standard pixmap is a pixmap that can follow some existing GUI style or guideline.

See also:
  standardPixmap(), and `standardIcon()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.StandardPixmap` | `CustomEnum`
`static QStyle.StandardPixmap` | `SP_ArrowBack` Equivalent to `SP_ArrowLeft` when the current layout direction is `Qt::LeftToRight` , otherwise `SP_ArrowRight` .
`static QStyle.StandardPixmap` | `SP_ArrowDown` Icon arrow pointing down.
`static QStyle.StandardPixmap` | `SP_ArrowForward` Equivalent to `SP_ArrowRight` when the current layout direction is `Qt::LeftToRight` , otherwise `SP_ArrowLeft` .
`static QStyle.StandardPixmap` | `SP_ArrowLeft` Icon arrow pointing left.
`static QStyle.StandardPixmap` | `SP_ArrowRight` Icon arrow pointing right.
`static QStyle.StandardPixmap` | `SP_ArrowUp` Icon arrow pointing up.
`static QStyle.StandardPixmap` | `SP_BrowserReload` Icon indicating that the current page should be reloaded.
`static QStyle.StandardPixmap` | `SP_BrowserStop` Icon indicating that the page loading should stop.
`static QStyle.StandardPixmap` | `SP_CommandLink` Icon used to indicate a Vista style command link glyph.
`static QStyle.StandardPixmap` | `SP_ComputerIcon` The "My computer" icon.
`static QStyle.StandardPixmap` | `SP_CustomBase` Base value for custom standard pixmaps; custom values must be greater than this value.
`static QStyle.StandardPixmap` | `SP_DesktopIcon` The "desktop" icon.
`static QStyle.StandardPixmap` | `SP_DialogApplyButton` Icon for a standard Apply button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogCancelButton` Icon for a standard Cancel button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogCloseButton` Icon for a standard Close button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogDiscardButton` Icon for a standard Discard button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogHelpButton` Icon for a standard Help button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogNoButton` Icon for a standard No button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogOkButton` Icon for a standard OK button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogOpenButton` Icon for a standard Open button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogResetButton` Icon for a standard Reset button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogSaveButton` Icon for a standard Save button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DialogYesButton` Icon for a standard Yes button in a `QDialogButtonBox`.
`static QStyle.StandardPixmap` | `SP_DirClosedIcon` The closed directory icon.
`static QStyle.StandardPixmap` | `SP_DirHomeIcon` The home directory icon.
`static QStyle.StandardPixmap` | `SP_DirIcon` The directory icon.
`static QStyle.StandardPixmap` | `SP_DirLinkIcon` The link to directory icon.
`static QStyle.StandardPixmap` | `SP_DirOpenIcon` The open directory icon.
`static QStyle.StandardPixmap` | `SP_DockWidgetCloseButton` Close button on dock windows (see also `QDockWidget`).
`static QStyle.StandardPixmap` | `SP_DriveCDIcon` The CD icon.
`static QStyle.StandardPixmap` | `SP_DriveDVDIcon` The DVD icon.
`static QStyle.StandardPixmap` | `SP_DriveFDIcon` The floppy icon.
`static QStyle.StandardPixmap` | `SP_DriveHDIcon` The harddrive icon.
`static QStyle.StandardPixmap` | `SP_DriveNetIcon` The network icon.
`static QStyle.StandardPixmap` | `SP_FileDialogBack` The back arrow in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogContentsView` The contents view icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogDetailedView` The detailed view icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogEnd` The "end" icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogInfoView` The file info icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogListView` The list view icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogNewFolder` The "create new folder" icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogStart` The "start" icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileDialogToParent` The "parent directory" icon in a file dialog.
`static QStyle.StandardPixmap` | `SP_FileIcon` The file icon.
`static QStyle.StandardPixmap` | `SP_FileLinkIcon` The link to file icon.
`static QStyle.StandardPixmap` | `SP_MediaPause` Icon indicating that media should pause playback.
`static QStyle.StandardPixmap` | `SP_MediaPlay` Icon indicating that media should begin playback.
`static QStyle.StandardPixmap` | `SP_MediaSeekBackward` Icon indicating that media should seek backward.
`static QStyle.StandardPixmap` | `SP_MediaSeekForward` Icon indicating that media should seek forward.
`static QStyle.StandardPixmap` | `SP_MediaSkipBackward` Icon indicating that media should skip backward.
`static QStyle.StandardPixmap` | `SP_MediaSkipForward` Icon indicating that media should skip forward.
`static QStyle.StandardPixmap` | `SP_MediaStop` Icon indicating that media should stop playback.
`static QStyle.StandardPixmap` | `SP_MediaVolume` Icon indicating a volume control.
`static QStyle.StandardPixmap` | `SP_MediaVolumeMuted` Icon indicating a muted volume control.
`static QStyle.StandardPixmap` | `SP_MessageBoxCritical` The "critical" icon.
`static QStyle.StandardPixmap` | `SP_MessageBoxInformation` The "information" icon.
`static QStyle.StandardPixmap` | `SP_MessageBoxQuestion` The "question" icon.
`static QStyle.StandardPixmap` | `SP_MessageBoxWarning` The "warning" icon.
`static QStyle.StandardPixmap` | `SP_TitleBarCloseButton` Close button on title bars.
`static QStyle.StandardPixmap` | `SP_TitleBarContextHelpButton` The Context help button on title bars.
`static QStyle.StandardPixmap` | `SP_TitleBarMaxButton` Maximize button on title bars.
`static QStyle.StandardPixmap` | `SP_TitleBarMenuButton` Menu button on a title bar.
`static QStyle.StandardPixmap` | `SP_TitleBarMinButton` Minimize button on title bars (e.
`static QStyle.StandardPixmap` | `SP_TitleBarNormalButton` Normal (restore) button on title bars.
`static QStyle.StandardPixmap` | `SP_TitleBarShadeButton` Shade button on title bars.
`static QStyle.StandardPixmap` | `SP_TitleBarUnshadeButton` Unshade button on title bars.
`static QStyle.StandardPixmap` | `SP_ToolBarHorizontalExtensionButton` Extension button for horizontal toolbars.
`static QStyle.StandardPixmap` | `SP_ToolBarVerticalExtensionButton` Extension button for vertical toolbars.
`static QStyle.StandardPixmap` | `SP_TrashIcon` The "trash" icon.
`static QStyle.StandardPixmap` | `SP_VistaShield` Icon used to indicate UAC prompts on Windows Vista.

Method Summary
`static QStyle.StandardPixmap` | `resolve(int value)` Returns the StandardPixmap constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.StandardPixmap` | `valueOf(java.lang.String name)`
`static QStyle.StandardPixmap[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SP_TitleBarMenuButton

    public static final QStyle.StandardPixmap SP_TitleBarMenuButton

  Menu button on a title bar.

### SP_TitleBarMinButton

    public static final QStyle.StandardPixmap SP_TitleBarMinButton

  Minimize button on title bars (e. ., in `QWorkspace`).

### SP_TitleBarMaxButton

    public static final QStyle.StandardPixmap SP_TitleBarMaxButton

  Maximize button on title bars.

### SP_TitleBarCloseButton

    public static final QStyle.StandardPixmap SP_TitleBarCloseButton

  Close button on title bars.

### SP_TitleBarNormalButton

    public static final QStyle.StandardPixmap SP_TitleBarNormalButton

  Normal (restore) button on title bars.

### SP_TitleBarShadeButton

    public static final QStyle.StandardPixmap SP_TitleBarShadeButton

  Shade button on title bars.

### SP_TitleBarUnshadeButton

    public static final QStyle.StandardPixmap SP_TitleBarUnshadeButton

  Unshade button on title bars.

### SP_TitleBarContextHelpButton

    public static final QStyle.StandardPixmap SP_TitleBarContextHelpButton

  The Context help button on title bars.

### SP_DockWidgetCloseButton

    public static final QStyle.StandardPixmap SP_DockWidgetCloseButton

  Close button on dock windows (see also `QDockWidget`).

### SP_MessageBoxInformation

    public static final QStyle.StandardPixmap SP_MessageBoxInformation

  The "information" icon.

### SP_MessageBoxWarning

    public static final QStyle.StandardPixmap SP_MessageBoxWarning

  The "warning" icon.

### SP_MessageBoxCritical

    public static final QStyle.StandardPixmap SP_MessageBoxCritical

  The "critical" icon.

### SP_MessageBoxQuestion

    public static final QStyle.StandardPixmap SP_MessageBoxQuestion

  The "question" icon.

### SP_DesktopIcon

    public static final QStyle.StandardPixmap SP_DesktopIcon

  The "desktop" icon.

### SP_TrashIcon

    public static final QStyle.StandardPixmap SP_TrashIcon

  The "trash" icon.

### SP_ComputerIcon

    public static final QStyle.StandardPixmap SP_ComputerIcon

  The "My computer" icon.

### SP_DriveFDIcon

    public static final QStyle.StandardPixmap SP_DriveFDIcon

  The floppy icon.

### SP_DriveHDIcon

    public static final QStyle.StandardPixmap SP_DriveHDIcon

  The harddrive icon.

### SP_DriveCDIcon

    public static final QStyle.StandardPixmap SP_DriveCDIcon

  The CD icon.

### SP_DriveDVDIcon

    public static final QStyle.StandardPixmap SP_DriveDVDIcon

  The DVD icon.

### SP_DriveNetIcon

    public static final QStyle.StandardPixmap SP_DriveNetIcon

  The network icon.

### SP_DirOpenIcon

    public static final QStyle.StandardPixmap SP_DirOpenIcon

  The open directory icon.

### SP_DirClosedIcon

    public static final QStyle.StandardPixmap SP_DirClosedIcon

  The closed directory icon.

### SP_DirLinkIcon

    public static final QStyle.StandardPixmap SP_DirLinkIcon

  The link to directory icon.

### SP_FileIcon

    public static final QStyle.StandardPixmap SP_FileIcon

  The file icon.

### SP_FileLinkIcon

    public static final QStyle.StandardPixmap SP_FileLinkIcon

  The link to file icon.

### SP_ToolBarHorizontalExtensionButton

    public static final QStyle.StandardPixmap SP_ToolBarHorizontalExtensionButton

  Extension button for horizontal toolbars.

### SP_ToolBarVerticalExtensionButton

    public static final QStyle.StandardPixmap SP_ToolBarVerticalExtensionButton

  Extension button for vertical toolbars.

### SP_FileDialogStart

    public static final QStyle.StandardPixmap SP_FileDialogStart

  The "start" icon in a file dialog.

### SP_FileDialogEnd

    public static final QStyle.StandardPixmap SP_FileDialogEnd

  The "end" icon in a file dialog.

### SP_FileDialogToParent

    public static final QStyle.StandardPixmap SP_FileDialogToParent

  The "parent directory" icon in a file dialog.

### SP_FileDialogNewFolder

    public static final QStyle.StandardPixmap SP_FileDialogNewFolder

  The "create new folder" icon in a file dialog.

### SP_FileDialogDetailedView

    public static final QStyle.StandardPixmap SP_FileDialogDetailedView

  The detailed view icon in a file dialog.

### SP_FileDialogInfoView

    public static final QStyle.StandardPixmap SP_FileDialogInfoView

  The file info icon in a file dialog.

### SP_FileDialogContentsView

    public static final QStyle.StandardPixmap SP_FileDialogContentsView

  The contents view icon in a file dialog.

### SP_FileDialogListView

    public static final QStyle.StandardPixmap SP_FileDialogListView

  The list view icon in a file dialog.

### SP_FileDialogBack

    public static final QStyle.StandardPixmap SP_FileDialogBack

  The back arrow in a file dialog.

### SP_DirIcon

    public static final QStyle.StandardPixmap SP_DirIcon

  The directory icon.

### SP_DialogOkButton

    public static final QStyle.StandardPixmap SP_DialogOkButton

  Icon for a standard OK button in a `QDialogButtonBox`.

### SP_DialogCancelButton

    public static final QStyle.StandardPixmap SP_DialogCancelButton

  Icon for a standard Cancel button in a `QDialogButtonBox`.

### SP_DialogHelpButton

    public static final QStyle.StandardPixmap SP_DialogHelpButton

  Icon for a standard Help button in a `QDialogButtonBox`.

### SP_DialogOpenButton

    public static final QStyle.StandardPixmap SP_DialogOpenButton

  Icon for a standard Open button in a `QDialogButtonBox`.

### SP_DialogSaveButton

    public static final QStyle.StandardPixmap SP_DialogSaveButton

  Icon for a standard Save button in a `QDialogButtonBox`.

### SP_DialogCloseButton

    public static final QStyle.StandardPixmap SP_DialogCloseButton

  Icon for a standard Close button in a `QDialogButtonBox`.

### SP_DialogApplyButton

    public static final QStyle.StandardPixmap SP_DialogApplyButton

  Icon for a standard Apply button in a `QDialogButtonBox`.

### SP_DialogResetButton

    public static final QStyle.StandardPixmap SP_DialogResetButton

  Icon for a standard Reset button in a `QDialogButtonBox`.

### SP_DialogDiscardButton

    public static final QStyle.StandardPixmap SP_DialogDiscardButton

  Icon for a standard Discard button in a `QDialogButtonBox`.

### SP_DialogYesButton

    public static final QStyle.StandardPixmap SP_DialogYesButton

  Icon for a standard Yes button in a `QDialogButtonBox`.

### SP_DialogNoButton

    public static final QStyle.StandardPixmap SP_DialogNoButton

  Icon for a standard No button in a `QDialogButtonBox`.

### SP_ArrowUp

    public static final QStyle.StandardPixmap SP_ArrowUp

  Icon arrow pointing up.

### SP_ArrowDown

    public static final QStyle.StandardPixmap SP_ArrowDown

  Icon arrow pointing down.

### SP_ArrowLeft

    public static final QStyle.StandardPixmap SP_ArrowLeft

  Icon arrow pointing left.

### SP_ArrowRight

    public static final QStyle.StandardPixmap SP_ArrowRight

  Icon arrow pointing right.

### SP_ArrowBack

    public static final QStyle.StandardPixmap SP_ArrowBack

  Equivalent to `SP_ArrowLeft` when the current layout direction is `Qt::LeftToRight` , otherwise `SP_ArrowRight` .

### SP_ArrowForward

    public static final QStyle.StandardPixmap SP_ArrowForward

  Equivalent to `SP_ArrowRight` when the current layout direction is `Qt::LeftToRight` , otherwise `SP_ArrowLeft` .

### SP_DirHomeIcon

    public static final QStyle.StandardPixmap SP_DirHomeIcon

  The home directory icon.

### SP_CommandLink

    public static final QStyle.StandardPixmap SP_CommandLink

  Icon used to indicate a Vista style command link glyph.

### SP_VistaShield

    public static final QStyle.StandardPixmap SP_VistaShield

  Icon used to indicate UAC prompts on Windows Vista. This will return a null pixmap or icon on all other platforms.

### SP_BrowserReload

    public static final QStyle.StandardPixmap SP_BrowserReload

  Icon indicating that the current page should be reloaded.

### SP_BrowserStop

    public static final QStyle.StandardPixmap SP_BrowserStop

  Icon indicating that the page loading should stop.

### SP_MediaPlay

    public static final QStyle.StandardPixmap SP_MediaPlay

  Icon indicating that media should begin playback.

### SP_MediaStop

    public static final QStyle.StandardPixmap SP_MediaStop

  Icon indicating that media should stop playback.

### SP_MediaPause

    public static final QStyle.StandardPixmap SP_MediaPause

  Icon indicating that media should pause playback.

### SP_MediaSkipForward

    public static final QStyle.StandardPixmap SP_MediaSkipForward

  Icon indicating that media should skip forward.

### SP_MediaSkipBackward

    public static final QStyle.StandardPixmap SP_MediaSkipBackward

  Icon indicating that media should skip backward.

### SP_MediaSeekForward

    public static final QStyle.StandardPixmap SP_MediaSeekForward

  Icon indicating that media should seek forward.

### SP_MediaSeekBackward

    public static final QStyle.StandardPixmap SP_MediaSeekBackward

  Icon indicating that media should seek backward.

### SP_MediaVolume

    public static final QStyle.StandardPixmap SP_MediaVolume

  Icon indicating a volume control.

### SP_MediaVolumeMuted

    public static final QStyle.StandardPixmap SP_MediaVolumeMuted

  Icon indicating a muted volume control.

### SP_CustomBase

    public static final QStyle.StandardPixmap SP_CustomBase

  Base value for custom standard pixmaps; custom values must be greater than this value.

### CustomEnum

    public static final QStyle.StandardPixmap CustomEnum

Method Detail

### values

    public static QStyle.StandardPixmap[] values()

### valueOf

    public static QStyle.StandardPixmap valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.StandardPixmap resolve(int value)

  Returns the StandardPixmap constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD